const mysql = require('mysql2/promise');

const pool = mysql.createPool({
    host: process.env.DB_HOST || '47.94.130.207',
    user: process.env.DB_USER || 'notebot',
    password: process.env.DB_PASSWORD || 'NZWdAr4neDPrWm5k',
    database: process.env.DB_NAME || 'notebot',
    waitForConnections: true,
    connectionLimit: 10,
    queueLimit: 0
});

// 测试数据库连接
const testConnection = async () => {
    try {
        const connection = await pool.getConnection();
        console.log('数据库连接成功');
        connection.release();
    } catch (error) {
        console.error('数据库连接失败:', error);
        process.exit(1);
    }
};

module.exports = { pool, testConnection }; 